part of 'sales_analysis_bloc.dart';

abstract class SalesAnalysisEvent {}

class FetchSalesData extends SalesAnalysisEvent {
  final String discountId;
  final DateTime date;

  FetchSalesData({required this.discountId, required this.date});
}

class FetchSalesStats extends SalesAnalysisEvent {
  final String discountId;

  FetchSalesStats(this.discountId);
}

class FetchComments extends SalesAnalysisEvent {
  final String discountId;

  FetchComments(this.discountId);
}